Samsung N220 hotkeys don't work

Bug #554066 reported by Günther Köckerandl on 2010-04-02
74
This bug affects 22 people
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
Medium
Martin Pitt
Lucid
Medium
Martin Pitt
Maverick
Medium
Martin Pitt

Bug Description

Binary package hint: udev

Various non-standard extra keys of my Samsung N220 (model: NP-N220-JA03DE) don't work in Lucid (and most likely older releases as well). I followed the steps in /usr/share/doc/udev/README.keymap.txt.gz:

1. Find the keyboard device.
root@n220:~# /lib/udev/findkeyboards
AT keyboard: input/event5

2. Dump current mapping:
[see attached orig-map.txt]

3. Find broken scan codes:
Suitable mappings can already be found in /lib/udev/keymaps/samsung-other.
Furthermore, the N220 also requires the workarounds in
/lib/udev/keymaps/force-release/samsung-other.

4. Find out your system vendor and product:
root@n220:~# cat /sys/class/dmi/id/sys_vendor
SAMSUNG ELECTRONICS CO., LTD.
root@n220:~# cat /sys/class/dmi/id/product_name
N150/N210/N220

5. Generate a device dump
[see attached udev-db.txt]

I've also attached two small patches to the corresponding .rules-files, in order to load the appropriate mappings.
Affected version:

root@n220:~# lsb_release -rd
Description: Ubuntu lucid (development branch)
Release: 10.04
root@n220:~# apt-cache policy udev
udev:
  Installed: 151-7
  Candidate: 151-7
  Version table:
 *** 151-7 0
        500 http://de.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Per Atle Våland (per-atle) wrote :

I just did the same thing, modifying the 95-keymap.rules. The product is reported as

N150/N210/N220

In order to cover the siblings, the rule should probably be modified to:

ENV{DMI_VENDOR}=="[sS][aA][mM][sS][uU][nN][gG]*", ATTR{[dmi/id]product_name}=="*NC10*|*NC20*|*N130*|*SP55S*|*SQ45S70S*|*SX60P*|*SX22S*|*SX30S*|*R59P/R60P/R61P*|*SR70S/SR71S*|*Q210*|*Q310*|*X05*|*P560*|*R560*|*N150/N210/N220*", RUN+="keymap $name samsung-other"

Michael Hofmann (mh21) wrote :

Here is a debdiff from voria.org. Should also solve #565754 and #468521.

tags: added: patch
Martin Pitt (pitti) wrote :
Changed in udev (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
status: New → Fix Committed
Martin Pitt (pitti) on 2010-08-02
Changed in udev (Ubuntu Lucid):
importance: Undecided → Medium
assignee: nobody → Martin Pitt (pitti)
milestone: none → lucid-updates
status: New → In Progress
papukaija (papukaija) on 2010-08-04
tags: added: lucid maverick
Martin Pitt (pitti) wrote :

As per https://wiki.ubuntu.com/StableReleaseUpdates#udev%20keymaps I uploaded an udev SRU with the latest keymaps. This now needs to be reviewed/ack'ed by an SRU team member.

Changed in udev (Ubuntu Lucid):
status: In Progress → Fix Committed
Felix Stacenko (cooler-post) wrote :

Samsung ND10 hotkeys don't work
Samsung ND10 is similar to Samsung NC10.
NC10 is the d 95-keymap.rules. Сan you add udev also support ND10?

Martin Pitt (pitti) wrote :

Yes, the SRU includes that.

Felix Stacenko (cooler-post) wrote :

Большое спасибо! Thanks.

Felix Stacenko [2010-08-20 19:16 -0000]:
> Большое спасибо!

С удовольствием!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 161+git20100820-1

---------------
udev (161+git20100820-1) maverick; urgency=low

  * New upstream release 161, plus fixes from git head: (LP: #620977)
    - udevadm trigger now defaults to change instead of add.
    - modem modeswitch removed, use usb_modeswitch instead (see LP #521578)
    - NAME= now ignored
    - udevd creates device nodes itself on startup based on modules.udevname
    - default device permission is 0600
    - lots of bug fixes
    - updated keymaps (LP: #271706, #554066, #569815, #592371)
    - update udev(7) to point out naming of rules files (LP: #616108)
    - cdrom_id: fix media state detection of DVD-RW/DVD+RWs (LP: #581925)
    - cdrom_id: fix media state detection on older hardware (LP: #502143)
  * debian/libudev0.symbols: Add new symbols from upstream version.
  * debian/udev.initramfs-hook: Drop 64-device-mapper.rules, it was removed
    upstream.
  * debian/control: Drop obsolete (pre-lucid) Breaks and Conflicts.
  * debian/rules: Replace obsolete dh_clean -k with dh_prep.
  * debian/control: Slightly more generously version libselinux1-dev build
    dependency (thanks lintian).
  * debian/control: Replace obsolete ${Source-Version} with ${binary:Version}.
  * debian/control: Update Standards-Version to 3.9.1.
  * debian/control: Add Homepage field.
 -- Martin Pitt <email address hidden> Sat, 21 Aug 2010 10:07:44 +0200

Changed in udev (Ubuntu Maverick):
status: Fix Committed → Fix Released

Accepted udev into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 151-12.1

---------------
udev (151-12.1) lucid-proposed; urgency=low

  * Pull latest keymaps from trunk. These include the following LP bugs:
    - Toshiba Satellite U300 volume keys (LP: #271706)
    - Samsung N220 and many other models (LP: #554066)
    - Acer travelmate 4720 (LP: #569815)
    - Logitech Cordless Wave Pro (LP: #592371)
 -- Martin Pitt <email address hidden> Fri, 20 Aug 2010 15:33:57 +0200

Changed in udev (Ubuntu Lucid):
status: Fix Committed → Fix Released
papukaija (papukaija) wrote :

I thought that this bug would also fix bug 296489 but it didn't.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers